RegistryException (BioJava-1.5-beta API)
Keywords: org.biojava.directory.RegistryException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.directory
Class RegistryException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.biojava.directory.RegistryException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ProviderNotFoundException

    public class RegistryException

extends Exception

A `RegistryException` thrown when the registry cannot find an implementation of a requested `SequenceDB`.

Version:
  $Revision: 1.7 $
Author:
  Brian Gilman, Thomas Down, Keith James, Matthew Pocock
See Also:
  Serialized Form

Constructor Summary
`RegistryException()` Creates a new `RegistryException` with no detail message.
`RegistryException(String message)` Creates a new `RegistryException` with the specified detail message.
`RegistryException(String message, Throwable t)`
`RegistryException(Throwable t)` Creates a new `RegistryException` with no detail message, wrapping another `Throwable`.
`RegistryException(Throwable t, String message)` Deprecated. use new RegistryException(message, cause)

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RegistryException

    public RegistryException()

  Creates a new `RegistryException` with no detail message.

### RegistryException

    public RegistryException(String message)

  Creates a new `RegistryException` with the specified detail message.

  Parameters:
    `message` - a `String`.

### RegistryException

    public RegistryException(Throwable t)

  Creates a new `RegistryException` with no detail message, wrapping another `Throwable`.

  Parameters:
    `t` - a `Throwable`.

### RegistryException

    public RegistryException(Throwable t,
                             String message)

  Deprecated. use new RegistryException(message, cause)

  Creates a new `RegistryException` with the specified detail message, wrapping another `Throwable`.

  Parameters:
    `t` - a `Throwable`.
    `message` - a `String`.

### RegistryException

    public RegistryException(String message,
                             Throwable t)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD